ListSendingDomainsAPI lists the domains the caller org's outbound agent email
curl --request GET \
--url https://api.erdo.ai/v1/sending-domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/sending-domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/sending-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sending_domains": [
{
"created_at": "<string>",
"dns_records": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"domain": "<string>",
"error_reason": "<string>",
"existing_mx_detected": true,
"forward_to_email": "<string>",
"from_email": "<string>",
"from_local_part": "<string>",
"from_name": "<string>",
"last_checked_at": "<string>",
"receiving_enabled": true,
"registered_receiving": true,
"status": "<string>",
"updated_at": "<string>"
}
]
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
ListSendingDomainsAPI lists the domains the caller org's outbound agent email
can be sent from, with each domain’s verification status and the DNS records that must exist for it. Mirrors erdo_list_sending_domains.
GET
/
v1
/
sending-domains
ListSendingDomainsAPI lists the domains the caller org's outbound agent email
⌘I

